local function init_func()
    lcd.clear()
    
end

local function run(e)
 
  fm=getFlightMode()
  local switcha = getValue(getFieldInfo("sa").id) 
  local switchd = getValue(getFieldInfo("sd").id) 
  lcd.clear()
  lcd.drawText(5, 56, "MR stable: ", SMLSIZE)
  if switcha==1024 then
        lcd.drawText(lcd.getLastPos(), 56, "OFF", SMLSIZE+ INVERS)
  else 
        lcd.drawText(lcd.getLastPos(), 56, "ON", SMLSIZE)
  end
  lcd.drawText(lcd.getLastPos(), 56, "  TV:", SMLSIZE)
  if switchd==1024 then        
    lcd.drawText(lcd.getLastPos(), 56, "ON", SMLSIZE+BLINK+INVERS)
  else
    lcd.drawText(lcd.getLastPos(), 56, "OFF", SMLSIZE)
  end
  if fm <2 then
      lcd.drawPixmap(50, 12, "/SCRIPTS/TELEMETRY/BMP/up.bmp") 
      if fm==0 then fmode="MR Stabilized"
      else fmode="MR Acro"
      end
  else
      lcd.drawPixmap(00, 35, "/SCRIPTS/TELEMETRY/BMP/fw.bmp") 
      if fm==2 then fmode="AP Acro" end
      if fm==3 then fmode="AP Acro TV" end
      if fm==4 then fmode="AP Stabilized"  end  
  end
  if fm==4 or fm==0 then
  else  lcd.drawPixmap(20, 12, "/SCRIPTS/TELEMETRY/BMP/acros.bmp") 
  end
  lcd.drawText(5, 0, fmode, MIDSIZE)
  lcd.drawPixmap(20, 30, "/SCRIPTS/TELEMETRY/BMP/converg.bmp") 
  
-- battery

    local function getTelemetryId(name)
    field = getFieldInfo(name)
    if field then
      return field.id
        else
          return -1
        end
    end

  cellId = getTelemetryId("Cels")
  cellResult = getValue(cellId)
  telemetry=0

  if (type(cellResult) == "table") then
    telemetry=1
    voltage = cellResult[1] + cellResult[2] + cellResult[3]
    percent = (voltage-10.5)*50     
  end
  
 
  if telemetry==1 then
      lcd.drawNumber(130, 25, percent, LEFT+SMLSIZE) 
      lcd.drawText(lcd.getLastPos(), 25, "%", SMLSIZE) 
      lcd.drawGauge(110, 20, 50, 15, percent, 100) 
      lcd.drawText(170, 21, voltage.."V", MIDSIZE) 
      
      lcd.drawText(170, 36, "C1:"..cellResult[1].."V", SMLSIZE) 
      lcd.drawText(170, 46, "C2:"..cellResult[2].."V", SMLSIZE) 
      lcd.drawText(170, 56, "C3:"..cellResult[3].."V", SMLSIZE) 
      lcd.drawText(110, 36, "Vmin", SMLSIZE)
      lcd.drawText(140, 36, ":", SMLSIZE)
      vmin=getValue("Cels-")
     
      
      if vmin < 10.2 then
        lcd.drawText(lcd.getLastPos(), 36, string.sub(vmin,1,4), SMLSIZE+BLINK)
      else
        lcd.drawText(lcd.getLastPos(), 36, string.sub(vmin,1,4), SMLSIZE)
      end
  end
  
  
-- timer
  t=model.getTimer(0).value
  local percent= (t) /3.6
  if percent > 0 then
       lcd.drawGauge(110, 2, 50, 15, percent, 100)
       lcd.drawTimer(168, 3, t, MIDSIZE+LEFT)
  else 
       lcd.drawGauge(110, 2, 50, 15, 0, 100)
       lcd.drawTimer(168, 3, t, MIDSIZE+LEFT+BLINK)
  end
 


-- RSSi 

  lcd.drawText(110, 56, "RSSI", SMLSIZE)
  lcd.drawText(140, 56, ":", SMLSIZE)
  rssi = getValue("RSSI")
  lcd.drawText(lcd.getLastPos(), 56,   rssi, SMLSIZE)
  lcd.drawText(110, 46, "TX bat", SMLSIZE)
  lcd.drawText(140, 46, ":", SMLSIZE)
  txbat= getValue("tx-voltage")
  lcd.drawText(lcd.getLastPos(), 46, txbat, SMLSIZE)
end

return{run=run, init=init_func}